/* ======================================================
                  Ricardo Martin Manso
                     PFC - UOC 2010
======================================================= */

package backup;

import java.io.RandomAccessFile;

// =======================================================
// Gestiona la descripcion de bloques que forman un archivo
// =======================================================
public class DescBloque {

    public long ptr;
    public long tam;

    public DescBloque(long ptr,long tam)
    {
        this.ptr=ptr;
        this.tam=tam;
    }

    public DescBloque(RandomAccessFile fich)
    {
        read(fich);
    }

    public void write(RandomAccessFile fich)
    {
        try{

            fich.writeLong(ptr);
            fich.writeLong(tam);
        }
        catch(Exception e) {}
    }

    public void read(RandomAccessFile fich)
    {
        try{

            ptr=fich.readLong();
            tam=fich.readLong();
        }
        catch(Exception e) {}
    }

    public void print()
    {
        System.out.println(" BloquePTR:"+ptr+ " Tam:"+tam+" ["+ptr+" - "+(ptr+tam-1)+"]");
    }
}
